"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};
Object.defineProperty(exports, "__esModule", {
  value: true
});
var react_1 = __importDefault(require("react"));
var __1 = require("..");
var filters_cell_1 = __importDefault(require("./filters-cell"));
var row_template_1 = __importDefault(require("./row/row-template"));
var Filters = function Filters(props) {
  var columns = props.columns,
    onFilter = props.onFilter,
    currFilters = props.currFilters,
    _props$filterPosition = props.filterPosition,
    filterPosition = _props$filterPosition === void 0 ? __1.FILTERS_POSITION_TOP : _props$filterPosition,
    onExternalFilter = props.onExternalFilter,
    className = props.className,
    selectRow = props.selectRow,
    expandRow = props.expandRow;
  function renderContent() {
    var filterColumns = [];
    var showFiltersRow = false;
    columns.forEach(function (column, i) {
      filterColumns.push(react_1["default"].createElement(filters_cell_1["default"], {
        index: i,
        key: column.dataField,
        column: column,
        currFilters: currFilters,
        onExternalFilter: onExternalFilter,
        onFilter: onFilter
      }));
      if (column.filterRenderer || column.filter) {
        if (!showFiltersRow) {
          showFiltersRow = true;
        }
      }
    });
    return filterColumns;
  }
  return react_1["default"].createElement("tbody", {
    className: className,
    style: {
      display: filterPosition === __1.FILTERS_POSITION_TOP ? "table-header-group" : "table-footer-group"
    }
  }, react_1["default"].createElement(row_template_1["default"], {
    renderContent: renderContent,
    selectRow: selectRow,
    expandRow: expandRow,
    cellEl: "td"
  }));
};
exports["default"] = Filters;