"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};
Object.defineProperty(exports, "__esModule", {
  value: true
});
var react_1 = __importDefault(require("react"));
var footer_cell_1 = __importDefault(require("./footer-cell"));
var row_template_1 = __importDefault(require("./row/row-template"));
var utils_1 = __importDefault(require("./utils"));
var Footer = function Footer(props) {
  var _props$data = props.data,
    data = _props$data === void 0 ? [] : _props$data,
    className = props.className,
    _props$columns = props.columns,
    columns = _props$columns === void 0 ? [] : _props$columns,
    selectRow = props.selectRow,
    expandRow = props.expandRow;
  function renderContent() {
    return columns.map(function (column, i) {
      if (column.footer === undefined || column.footer === null) {
        return false;
      }
      var columnData = utils_1["default"].pluck(data, column.dataField);
      return react_1["default"].createElement(footer_cell_1["default"], {
        index: i,
        key: column.dataField,
        column: column,
        columnData: columnData
      });
    });
  }
  return react_1["default"].createElement("tfoot", null, react_1["default"].createElement(row_template_1["default"], {
    renderContent: renderContent,
    selectRow: selectRow,
    expandRow: expandRow,
    className: className,
    cellEl: "th"
  }));
};
exports["default"] = Footer;